Author Topic: It's possible to hide some segment of a polyline?  (Read 2425 times)

0 Members and 1 Guest are viewing this topic.

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1453
  • Marco
It's possible to hide some segment of a polyline?
« on: December 03, 2020, 07:14:46 AM »
For example hide 2 sides of a rectangle? Maybe doing it with a 3Dpolyline?

Vaidas

  • Newt
  • Posts: 66
Re: It's possible to hide some segment of a polyline?
« Reply #1 on: December 03, 2020, 07:24:31 AM »
3dface with hidden edge but you will need to use wireframe shading after.
(mapcar 'chr '(107 105 116 111 120 46 99 111 109))

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1453
  • Marco
Re: It's possible to hide some segment of a polyline?
« Reply #2 on: December 03, 2020, 08:21:10 AM »
3dface with hidden edge but you will need to use wireframe shading after.
Thanks,
question:  <entmod on AutoCAD help> > Before performing an entmod on vertex entities, you should read or write the polyline entity's header.
Can anyone explain to me what it means?        (I would try to change the vertex layer)

roy_043

  • Water Moccasin
  • Posts: 1895
  • BricsCAD 18
Re: It's possible to hide some segment of a polyline?
« Reply #3 on: December 03, 2020, 08:25:49 AM »
Even if it is possible to do this, it will probably create an audit error.

tombu

  • Bull Frog
  • Posts: 289
  • ByLayer=>Not0
Re: It's possible to hide some segment of a polyline?
« Reply #4 on: December 03, 2020, 09:09:25 AM »
Why not just combine the separate polylines as a block or group?
You could cover the line with another that plots white.

Many years ago I remember seeing a hack for the old heavy polylines where each segment was an entity where segments could be modified somehow but even that wouldn't survive an audit. Newer versions of AutoCAD would probably clean it automatically.
Tom Beauford P.S.M.
Leon County FL Public Works - Windows 7 64 bit AutoCAD Civil 3D

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1453
  • Marco
Re: It's possible to hide some segment of a polyline?
« Reply #5 on: December 03, 2020, 10:39:12 AM »
AcDb3dPolyline has the same structure as the old polylines:
Code: [Select]
(
   (-1 . <Nome entità: 7ff4f94063c0>)    (0 . "POLYLINE")   (330 . <Nome entità: 7ff4f9403f10>)
   (5 . "B4")    (100 . "AcDbEntity")    (67 . 0)    (410 . "Model")
   (8 . "0")    (100 . "AcDb3dPolyline")    (66 . 1)    (10 0.0 0.0 0.0)
   (70 . 8)    (40 . 0.0)    (41 . 0.0)    (210 0.0 0.0 1.0)    (71 . 0)    (72 . 0)
   (73 . 0)    (74 . 0)    (75 . 0)
)
(
   (-1 . <Nome entità: 7ff4f94063e0>)    (0 . "VERTEX")   (330 . <Nome entità: 7ff4f94063c0>)
   (5 . "B6")    (100 . "AcDbEntity")    (67 . 0)    (410 . "Model")    (8 . "0")    (100 . "AcDbVertex")
   (100 . "AcDb3dPolylineVertex")    (10 145.673 204.588 0.0)
   (40 . 0.0)    (41 . 0.0)    (42 . 0.0)    (70 . 32)    (50 . 0.0)     (71 . 0)    (72 . 0)    (73 . 0)    (74 . 0)
)
(
   (-1 . <Nome entità: 7ff4f94063f0>)    (0 . "VERTEX")   (330 . <Nome entità: 7ff4f94063c0>)
   (5 . "B7")    (100 . "AcDbEntity")    (67 . 0)    (410 . "Model")    (8 . "0")    (100 . "AcDbVertex")
   (100 . "AcDb3dPolylineVertex")    (10 177.626 176.418 0.0)
   (40 . 0.0)    (41 . 0.0)   (42 . 0.0)   (70 . 32)   (50 . 0.0)   (71 . 0)   (72 . 0)   (73 . 0)   (74 . 0)
)
(
   (-1 . <Nome entità: 7ff4f94063d0>)    (0 . "SEQEND")   (330 . <Nome entità: 7ff4f94063c0>)
   (5 . "B5")   (100 . "AcDbEntity")   (67 . 0)   (410 . "Model")
   (8 . "0")   (-2 . <Nome entità: 7ff4f94063c0>)
)
I found this in .NET https://drive-cad-with-code.blogspot.com/2011/06/showhide-segments-of-polyline-with.html  …

roy_043

  • Water Moccasin
  • Posts: 1895
  • BricsCAD 18
Re: It's possible to hide some segment of a polyline?
« Reply #6 on: December 03, 2020, 11:51:35 AM »
If I change the visibility of a vertex in BricsCAD V18 there is no audit error, but the modification has no effect.
If I change the color of a vertex there is again no effect, but this modification does result in an audit error for 3D polylines (but strangely enough not for 'heavy' 2D polylines).

I remember an older version of BC that would in fact display the color of a vertex.
« Last Edit: December 03, 2020, 11:57:32 AM by roy_043 »

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1453
  • Marco
Re: It's possible to hide some segment of a polyline?
« Reply #7 on: December 03, 2020, 11:57:21 AM »
If I change the visibility of a vertex in BricsCAD V18 there is no audit error, but the modification has no effect.
If I change the color of a vertex there is again no effect, but this modification does result in an audit error.

I remember an older version of BC that would in fact display the color of a vertex.
Thanks for your time,  what happens if you change the layer of the vertex(s)?   edit:(more vertex)

roy_043

  • Water Moccasin
  • Posts: 1895
  • BricsCAD 18
Re: It's possible to hide some segment of a polyline?
« Reply #8 on: December 03, 2020, 12:02:30 PM »
I have edited my previous message while you were posting.

Changing the layer of a vertex has the same result as changing the color:
No visible effect and an audit error for 3D polylines.

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1453
  • Marco
Re: It's possible to hide some segment of a polyline?
« Reply #9 on: December 03, 2020, 12:17:19 PM »
Ok thanks, there is no possibility of having a *polyline with an invisible segment or with different color and linetype, or layer.

David Bethel

  • Swamp Rat
  • Posts: 656
Re: It's possible to hide some segment of a polyline?
« Reply #10 on: December 03, 2020, 04:05:18 PM »
You can also do it with a PFace mesh.  ( Basically a group of 3dfaces )  They can be made into some very complex shapes -David
R12 Dos - A2K

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1453
  • Marco
Re: It's possible to hide some segment of a polyline?
« Reply #11 on: December 04, 2020, 02:59:07 AM »
I apologize for the delay in replying (time zone), this is a typical case that I have to solve:
normally I can calculate the length and area of gutterways and airgaps when the polylines are closed, in the example in addition to being open they are also formed by separate segments.

huiz

  • Swamp Rat
  • Posts: 919
  • Certified Prof C3D
Re: It's possible to hide some segment of a polyline?
« Reply #12 on: December 04, 2020, 03:32:00 AM »
If you can use .NET you can create a custom solution to change the way objects are drawn:


https://www.keanw.com/2009/08/a-simple-overrule-to-change-the-way-autocad-lines-are-displayed-using-net.html


Or here, where polylines are presented as tubes:


https://through-the-interface.typepad.com/through_the_interface/2009/04/customizing-the-display-of-standard-autocad-objects-using-net.html


Or here, where a line looks like a thermometer:


https://adndevblog.typepad.com/autocad/2012/05/draw-overrule-and-grip-overrule-sample.html


The disadvantage is that you don't see it if you've not loaded your custom program.


Maybe you can also mimic things with dynamic blocks and visibility states.
The conclusion is justified that the initialization of the development of critical subsystem optimizes the probability of success to the development of the technical behavior over a given period.

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1453
  • Marco
Re: It's possible to hide some segment of a polyline?
« Reply #13 on: December 04, 2020, 03:45:48 AM »
If you can use .NET you can create a custom solution to change the way objects are drawn: …
I had seen something like this before, if you see my post #5.
Another question: is possible to "draw" a line (or poly) with linetype hidden (example) that covers the others below?

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1453
  • Marco
Re: It's possible to hide some segment of a polyline?
« Reply #14 on: December 04, 2020, 11:59:16 AM »
Maybe a solution to show the joint could be a ZigZag line...